Bug 619693 - nginx should provide webserver
Summary: nginx should provide webserver
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nginx
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeremy Hinegardner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-30 07:46 UTC by Felix Kaechele
Modified: 2010-11-16 23:21 UTC (History)
2 users (show)

Fixed In Version: nginx-0.8.53-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-16 23:17:48 UTC
Type: ---


Attachments (Terms of Use)

Description Felix Kaechele 2010-07-30 07:46:14 UTC
The spec file of nginx should include
Provides: webserver

This enables people to have nginx installed as the only webserver on their system because packages that require a webserver should Require: webserver instead of explicitly requiring a special one (unless there's a good reason to do so).
But as nginx doesn't Provide: websever such packages would still pull in Apache.

Comment 1 Jeremy Hinegardner 2010-07-31 20:05:26 UTC
sounds good.  I'll put it in.

Comment 2 Fedora Update System 2010-10-31 20:01:19 UTC
nginx-0.8.53-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/nginx-0.8.53-1.fc13

Comment 3 Fedora Update System 2010-10-31 21:26:33 UTC
nginx-0.8.53-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/nginx-0.8.53-2.fc13

Comment 4 Fedora Update System 2010-10-31 21:26:45 UTC
nginx-0.8.53-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/nginx-0.8.53-2.fc14

Comment 5 Fedora Update System 2010-11-01 20:48:38 UTC
nginx-0.8.53-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nginx'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/nginx-0.8.53-2.fc13

Comment 6 Fedora Update System 2010-11-16 23:17:39 UTC
nginx-0.8.53-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-11-16 23:21:04 UTC
nginx-0.8.53-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.